API referenceOrder
POST /api/Order/GetOrdersByInvoiceIds
POST
/api/Order/GetOrdersByInvoiceIdscurl -X POST "/api/Order/GetOrdersByInvoiceIds" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
1,
2,
3
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger[] | null
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.BackOffice.OrderByInvoiceIdDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"invoiceId": 0,
"order": {
"id": 0,
"name": "string",
"orderKind": 1,
"orderKindName": "string",
"status": {
"id": 0,
"name": "string",
"description": "string",
"order": 0,
"statusCategory": 1,
"statusCategoryName": "string",
"color": "string"
},
"orderTypeId": 0,
"orderTypeName": "string",
"externalId": "string",
"description": "string",
"registrationDate": "2026-01-15T09:30:00Z",
"dueDate": "2026-01-15T09:30:00Z",
"totalAmount": 0,
"startCompensation": "2026-01-15T09:30:00Z",
"endCompensation": "2026-01-15T09:30:00Z",
"totalQuantityMwh": 0,
"commodityId": 0,
"commodityName": "string",
"counterPartyName": "string",
"counterPartyId": 0,
"companyName": "string",
"companyId": 0,
"documentDate": "2026-01-15T09:30:00Z",
"erpCode": "string",
"contractCode": "string"
}
}
]
}